Page MenuHomePhabricator

Login form hard to read on dark skins
Closed, DeclinedPublic

Description

.mw-ui-vform > div label specifies an explicit dark color. On dark skins this means the contrast becomes low and in the worst case (the skin isn't using an absolute black) becomes illegible.

This case isn't fixed by simply applying an explicit color somewhere so we'll probably have to create a new 'dark' common/skinning module.


Version: 1.24rc
Severity: enhancement
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=70351

Details

Reference
bz64734

Event Timeline

bzimport raised the priority of this task from to Lowest.Nov 22 2014, 3:24 AM
bzimport set Reference to bz64734.
bzimport added a subscriber: Unknown Object (MLST).

Updating the importance since this does not affect default skin.

(In reply to Daniel Friesen from comment #0)

This case isn't fixed by simply applying an explicit color somewhere so
we'll probably have to create a new 'dark' common/skinning module.

Why can't the dark skin(s) specify an explicit color in a skinStyles style sheet for mediawiki.ui (or the relevant module)? I am inclined to resolve as invalid and request that individual skins fix this.

However, if the dark label only looks right in a limited number of skins, the alternative is to put skinStyles for those skins (not convinced of that so far) (e.g. Vector, Monobook, etc.).

Unless I'm mistaken, creating a new module would change the API for how MW UI is used. Using skinStyles/$wgResourceModuleSkinStyles would not have this issue.

I don't agree with Jon's new title. All dark skins do not look alike. Why should MW UI look alike in all of them?

Also, improving every aspect of MW UI in every dark skin would greatly expand the scope of this bug. Let's stick the original report.

Will be converted to OO UI in T85853: Convert MW core login/create account pages to OOUI (Special:UserLogin / Special:CreateAccount). Will need to make sure issues do not apply with OOjs UI/OO PHP UI.

Mattflaschen-WMF renamed this task from mw-ui-vform's label styling makes the login form hard to read on dark skins to Login form hard to read on dark skins.Jun 4 2015, 11:42 PM
Mattflaschen-WMF set Security to None.
Danny_B moved this task from Unsorted to Colors on the Accessibility board.
Krinkle removed a subscriber: Krinkle.Jul 23 2016, 1:34 AM
Volker_E closed this task as Declined.Aug 15 2017, 9:50 PM
Volker_E removed a project: UI-Standardization.
Volker_E added a subscriber: Volker_E.

This is up to the skin authors of dark skins and not something we are able to easily take care for out of the box.